org.springframework.jdbc.core.metadata

## Class DerbyCallMetaDataProvider

- java.lang.Object
- - org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
  - - org.springframework.jdbc.core.metadata.DerbyCallMetaDataProvider

All Implemented Interfaces:
  CallMetaDataProvider

    public class DerbyCallMetaDataProvider
    extends GenericCallMetaDataProvider

Derby specific implementation for the `CallMetaDataProvider` interface. This class is intended for internal use by the Simple JDBC classes.

Since:
  2.5
Author:
  Thomas Risberg, Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`logger`

### Constructor Summary

Constructors
Constructor and Description
`DerbyCallMetaDataProvider(DatabaseMetaData databaseMetaData)`

### Method Summary

Methods
`String` `metaDataSchemaNameToUse(String schemaName)` Provide any modification of the schema name passed in to match the meta data currently used.

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider

`byPassReturnParameter, catalogNameToUse, createDefaultInOutParameter, createDefaultInParameter, createDefaultOutParameter, getCallParameterMetaData, getRefCursorSqlType, getUserName, initializeWithMetaData, initializeWithProcedureColumnMetaData, isProcedureColumnMetaDataUsed, isRefCursorSupported, isReturnResultSetSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isSupportsCatalogsInProcedureCalls, isSupportsSchemasInProcedureCalls, metaDataCatalogNameToUse, parameterNameToUse, procedureNameToUse, schemaNameToUse, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, setSupportsCatalogsInProcedureCalls, setSupportsSchemasInProcedureCalls`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerbyCallMetaDataProvider

    public DerbyCallMetaDataProvider(DatabaseMetaData databaseMetaData)
                              throws SQLException

Throws:
  `SQLException`

### Method Detail

#### metaDataSchemaNameToUse

    public String metaDataSchemaNameToUse(String schemaName)

Description copied from interface: `CallMetaDataProvider`
Provide any modification of the schema name passed in to match the meta data currently used. The reyurned value will be used for meta data lookups. This could include alterig the case used or providing a base schema if mone provided.

Specified by:
  `metaDataSchemaNameToUse` in interface `CallMetaDataProvider`
Overrides:
  `metaDataSchemaNameToUse` in class `GenericCallMetaDataProvider`